Support » Plugin: YITH WooCommerce Product Bundles » Incompatibility with Flatsome theme

  • Resolved enventa

    (@enventa)


    Hi there,

    there is an issue when using the plugin with Flatsome theme, latest version. Flatsome displays the cart contents on a dropdown window when hovering the cart icon on the header. Also, by default, when adding a product to the cart, Flatsome displays cart contents by showing a dropdown from the cart on the header for a few seconds. That doesn’t happen when having installed your plugin: cart dropdown on the header is not displayed on hover nor when adding a product to the cart, no matter the type of product, the cart is not displayed.

    Moreover, image slider is no working either.

    It is a JS conflict issue, here’s Google’s Chrome console error:

    Uncaught TypeError: Cannot read property 'sku' of undefined
        at HTMLFormElement.e.onFoundVariation (add-to-cart-variation.min.js?ver=3.2.5:formatted:151)
        at HTMLFormElement.dispatch (jquery.js?ver=1.12.4:3)
        at HTMLFormElement.r.handle (jquery.js?ver=1.12.4:3)
        at Object.trigger (jquery.js?ver=1.12.4:3)
        at Object.a.event.trigger (jquery-migrate.min.js?ver=1.4.1:2)
        at HTMLFormElement.<anonymous> (jquery.js?ver=1.12.4:3)
        at Function.each (jquery.js?ver=1.12.4:2)
        at a.fn.init.each (jquery.js?ver=1.12.4:2)
        at a.fn.init.trigger (jquery.js?ver=1.12.4:3)
        at HTMLDocument.<anonymous> (frontend.js?ver=1.4.7:34)

    Hope you can take a moment to solve it. Flatsome is quite a popular woocommerce theme used by many websites.

    Thank you very much.

    Regards,
    Vitolo

    • This topic was modified 4 years ago by enventa.
    • This topic was modified 4 years ago by enventa.
Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author YITHEMES

    (@yithemes)

    Hi Vitolo,
    and thank you for writing in!

    Our developers have just made some tests with the following configuration:

    • WordPress 4.9.1
    • WooCommerce 3.2.6
    • Flatsome 3.4.2
    • YITH WooCommerce Product Bundles 1.1.3

    and everything seems working fine! (no error in JS console and the mini-cart is shown correctly after adding a product to the cart)

    Maybe some plugins you have installed are causing this issue.
    Please, try to deactivate all plugins, leaving only WooCommerce and YITH WooCommerce Product Bundles active, and see if the problem is solved. If so, try to activate them again, one by one, to see which one causes the issue.

    Please try this solution and let us know what issue shows.

    Best Regards

    Thread Starter enventa

    (@enventa)

    Hi!

    Thanks for answering. My bad not to indicate the environment where the issue appears. It is this:

    – WP 4.9.1
    – WC 3.2.6
    – Flatsome 3.4.2
    – YITH WooCommerce Product Bundles Premium 1.2.7

    I have already deactivated all the plugins (except WC) and the problem arises when activating YITH WC Product Bundles Premium 1.2.7.

    I’m pretty sure you will easily see the issue when using premium version.

    Thanks!

    Thread Starter enventa

    (@enventa)

    Hi @yithemes!

    my apologies, you were absolutely right, it was “WooCommerce Product Stock Alert” plugin causing conflict with YITH WC Product Bundles. Moreover, it also conflicts with a similar plugin for product bundles: Woo Product Bundle. So that’s the plugin to blame.

    Thank you very much for looking into this!

    Regards,
    Vitolo

    Plugin Author YITHEMES

    (@yithemes)

    Hi,
    I’m happy you found a solution, feel free to ask in the future if you need any further help! 😉

    If you like the plugin and our support, please, support us with a 5-star review. It takes just a minute. Thank you!

    Best Regards

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Incompatibility with Flatsome theme’ is closed to new replies.